name: plugin_platform
description: 基础包，原生的封装控件，扩展控件，自定义控件等。

version: 1.0.0

environment:
  sdk: '>=3.0.2 <4.0.0'

dependencies:

  flutter_localizations:
    sdk: flutter

  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.2

  shared:
    path: ../cs_shared

  widgets:
    path: ../cs_widgets

  cs_resources:
    path: ../cs_resources

  # Flutter 架构框架 https://github.com/jonataslaw/getx
  get: 4.6.6

  # https://pub.dev/packages/dio 网络请求框架
  dio: 5.3.3

  #处理权限
  permission_handler: 11.3.1

  # 图片选择  https://github.com/fluttercandies/flutter_wechat_assets_picker/blob/main/README-ZH.md
  wechat_assets_picker: ^9.2.2
  # 图片加载框架 https://github.com/fluttercandies/extended_image/blob/master/README-ZH.md
  # 封装在 MyLoadImage 控件中，推荐图片全部用 MyLoadImage
  # wechatAssetsPicker 内部已经依赖了 extended_image 框架！无需再次依赖

  # 相机选择器 https://github.com/fluttercandies/flutter_wechat_camera_picker/blob/main/README-ZH.md
  # 与上面图片选择配套的相机模块，基于 wechat_assets_picker 与 camera 依赖实现的
  wechat_camera_picker: ^4.3.4

  # 图片裁剪  https://github.com/hnvn/flutter_image_cropper
  # 与上面图片选择或相机拍照结合使用，裁剪图片为1:1或4:3或16:9的比例
  image_cropper: 5.0.1

  # 图片压缩 https://github.com/fluttercandies/flutter_image_compress
  #          https://pub.dev/packages/flutter_image_compress
  # 用于最终的图片压缩，在网络请求上传文件的基类 ApiProvider 中统一处理图片的压缩逻辑，业务层不需要处理
  flutter_image_compress: 2.3.0

  # 弹窗控件 https://github.com/CNAD666/flutter_smart_dialog
  # 内部包含吐司气泡 弹窗 下拉选等
  flutter_smart_dialog: ^4.9.6

  # 图片预览（单图与多图） https://github.com/xia-weiyang/image_preview
  image_preview: ^1.2.4

  # 图片处理核心
  image: ^3.2.2

  # SD卡管理，缓存管理
  path_provider: 2.1.4
  synchronized: ^3.1.0+1

  # 文件选择器
  file_picker: ^8.0.7

  # Hive本地存储
  hive: ^2.2.3
  hive_flutter: ^1.1.0

  # Flutter 常用工具类库 https://github.com/Sky24n/flustars
  # SP-KV存储，一般存储基本数据类型，由各平台各自实现
  shared_preferences: 2.3.1

  # 5.5.0 报错，这里强制指定版本适配 Flutter 版本 3.24.0
  win32: ^5.10.1

flutter:
  uses-material-design: true
